# code: language=ansible
---
- name: assert that first lxd server is clustered
  assert:
    that:
    - ansible_local.lxd_info is defined
    - ansible_local.lxd_info.environment.server_clustered
  delegate_to: "{{lxd_cluster_first_server}}"

- name: get lxd cluster join token
  command: 
    argv:
    - lxc 
    - cluster
    - add
    - "{{lxd_cluster_server_name}}"
  delegate_to: "{{lxd_cluster_first_server}}"
  register: lxd_cluster_join_token_task

- name: assert that we got a token
  assert:
    that: "'join token' in lxd_cluster_join_token_task.stdout_lines[0]"

# - debug:
#     msg: 
#       lxd_cluster_token: "{{lxd_cluster_token}}"

- name: lxd join cluster
  command: lxd init --preseed
  args:
    stdin: "{{ lxd_preseed_cluster_join_config }}"

# - debug:
#     msg: 
#       lxd_preseed_servers: "{{lxd_preseed_servers}}"
#       lxd_preseed_cluster: "{{lxd_preseed_cluster}}"

# - name: lxd configure servers
#   command: lxd init --preseed
#   args:
#     stdin: "{{ lxd_preseed_servers }}"

# - name: lxd configure cluster
#   command: lxd init --preseed
#   args:
#     stdin: "{{ lxd_preseed_cluster }}"
#   run_once: true
